edu.whs.spin2018.baoapp.model.remote.spielbrett

## Class SpielbrettServiceInteractor

- java.lang.Object
- - edu.whs.spin2018.baoapp.model.remote.ServiceInteractor
  - - edu.whs.spin2018.baoapp.model.remote.spielbrett.SpielbrettServiceInteractor

- All Implemented Interfaces:
    BaseInteractorInterface, SpielbrettEventListener, SpielbrettRemoteDataSource, BaoServiceInterface

      public class SpielbrettServiceInteractor
      extends ServiceInteractor
      implements SpielbrettRemoteDataSource

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpielbrettServiceInteractor(BaoService service)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `entferneRegistrierteListener()` Entfernt die zusätzlichen registrierten Listener vom Socket.
    `void` | `onBenutzerVerlaesstRaum()`
    `void` | `onNeueNachricht(java.lang.Object... args)` Wird beim erhalten eines Nachricht-Events aufgerufen.
    `void` | `onSpielzugErhalten(Position position)`
    `void` | `registriereBenoetigteListener()` Registriert, zusätzlich zum Nachrichten-Event Listener, weitere Listener am Socket
    `void` | `sendeSpielzug(Position muldenPosition, java.lang.String raum)`
    `void` | `setzeListener(SpielbrettEventListener listener)`

    - ### Methods inherited from class edu.whs.spin2018.baoapp.model.remote.ServiceInteractor

      `entferneListener, raumBetreten, raumVerlassen, registriereBenutzerListeErhaltenListener, registriereBenutzerTrittRaumBeiListener, registriereBenutzerVerlaesstRaumListener, registriereNachrichtenListener, registriereVerbundenListener, sendeBroadcast, sendeNachricht, trennen, verbinden, zeigeBenutzerImRaum`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.service.BaoServiceInterface

      `entferneListener, raumBetreten, raumVerlassen, registriereBenutzerListeErhaltenListener, registriereBenutzerTrittRaumBeiListener, registriereBenutzerVerlaesstRaumListener, registriereNachrichtenListener, registriereVerbundenListener, sendeBroadcast, sendeNachricht, trennen, verbinden, zeigeBenutzerImRaum`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SpielbrettServiceInteractor

          public SpielbrettServiceInteractor(BaoService service)

  - ### Method Detail

    - #### setzeListener

          public void setzeListener(SpielbrettEventListener listener)

      Specified by:
        `setzeListener` in interface `SpielbrettRemoteDataSource`

    - #### sendeSpielzug

          public void sendeSpielzug(Position muldenPosition,
                                    java.lang.String raum)

      Specified by:
        `sendeSpielzug` in interface `SpielbrettRemoteDataSource`

    - #### onBenutzerVerlaesstRaum

          public void onBenutzerVerlaesstRaum()

      Specified by:
        `onBenutzerVerlaesstRaum` in interface `SpielbrettEventListener`

    - #### onSpielzugErhalten

          public void onSpielzugErhalten(Position position)

      Specified by:
        `onSpielzugErhalten` in interface `SpielbrettEventListener`

    - #### registriereBenoetigteListener

          public void registriereBenoetigteListener()

      Description copied from interface: `BaseInteractorInterface`
      Registriert, zusätzlich zum Nachrichten-Event Listener, weitere Listener am Socket
      Specified by:
        `registriereBenoetigteListener` in interface `BaseInteractorInterface`

    - #### entferneRegistrierteListener

          public void entferneRegistrierteListener()

      Description copied from interface: `BaseInteractorInterface`
      Entfernt die zusätzlichen registrierten Listener vom Socket.
      Specified by:
        `entferneRegistrierteListener` in interface `BaseInteractorInterface`

    - #### onNeueNachricht

          public void onNeueNachricht(java.lang.Object... args)

      Description copied from interface: `BaseInteractorInterface`
      Wird beim erhalten eines Nachricht-Events aufgerufen.
      Specified by:
        `onNeueNachricht` in interface `BaseInteractorInterface`
      Parameters:
        `args` - - Daten, die mit dem Event gesendet wurden